Subject: bug#51556: 29.0.50; Poor contrast of Customize SVG icons with dark backgrounds

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Nov 2021 19:13:06 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 2 Nov 2021 10:01:56 -0700
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't think I understand what that means.  We disregard the colors
> > specified by the SVG image?
> 
> No, we do respect colors specified by the SVG image.  That's why we see
> the current behavior.
> 
> However, if no foreground color is specified in the SVG file, we use the
> foreground color of the current face instead.  That's why the fix I
> propose work.

What is the difference between "colors specified by the SVG image"
(which you say we respect), and "foreground color is specified in the
SVG file" (which you want us to disregard)?

> > Sorry, at this stage I'd prefer not to install anything on the release
> > branch that isn't a bugfix.  Or else take it up with Lars, and ask him
> > to forget about releasing Emacs 28.1 soon, because this way it will
> > take a while ;-)
> 
> I consider this a bug fix, but admittedly only a minor one.  However, I
> also note that the visibility of those symbols is worse with a dark
> theme in Emacs 28 than in Emacs 27, so we might consider it a
> regression.

Let's not exaggerate, okay?